Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.securityProvider
Interface UserProviderControl

All Superinterfaces
  Serializable

    public interface UserProviderControl

extends Serializable

This control:

- is used as an interface to the Portal security provider functionality that is specific to users.

Control properties:

- atnProvider The name of the authentication provider to perform these operations on. If not configured, the default authentication provider will be used.

Security requirements: The caller must be in the role of "PortalSystemAdministrator" to invoke methods 'setPassword()' and 'removeUser()'

Nested Class Summary
`static interface` | `UserProviderControl.UserProviderParams` Define the properties for this control.

Method Summary
`void` | `createUser(String username, String password, HttpServletRequest request)` Create a new user and return an object representing the user's information.
`void` | `createUserSimple(String username, String password)` Create a new user and return an object representing the user's information.
`List` | `getUserNames(String searchExpression, int limit)` Get a list of all user names
`void` | `removeUser(String username)` Removes a user from the system.
`void` | `setPassword(String username, String password)` Sets the password for a user in the realm.
`boolean` | `userExists(String username)` Determine whether a user exists

Method Detail

### userExists

    boolean userExists(String username)
                       throws com.bea.p13n.security.management.OperationNotSupportedException

  Determine whether a user exists

  Parameters
    `username` - The user (login) name of the user
  Returns
    true if the user exists, false if cannot find user of this name
  Throws
    `com.bea.p13n.security.management.OperationNotSupportedException` - if authentication provider implementation does not support this operation

### getUserNames

    List getUserNames(String searchExpression,
                      int limit)
                      throws com.bea.p13n.security.management.OperationNotSupportedException

  Get a list of all user names

  Parameters
    `searchExpression` - a wildcard search expression
    `limit` - a limit of results to return
  Returns
    a List of all user names matching the search expression
  Throws
    `com.bea.p13n.security.management.OperationNotSupportedException` - if authentication provider implementation does not support this operation

### createUser

    void createUser(String username,
                    String password,
                    HttpServletRequest request)
                    throws com.bea.p13n.usermgmt.UserAlreadyExistsException,
                           com.bea.p13n.usermgmt.InvalidUsernameException,
                           LoginException,
                           com.bea.p13n.usermgmt.InvalidPasswordException,
                           com.bea.p13n.security.management.OperationNotSupportedException

  Create a new user and return an object representing the user's information.

  Parameters
    `username` - The user's login name
    `password` - The user's password
    `the` - request
  Throws
    `com.bea.p13n.usermgmt.InvalidPasswordException` - if the password is malformed or otherwise invalid
    `com.bea.p13n.usermgmt.InvalidUsernameException` - if the username is malformed or otherwise invalid
    `com.bea.p13n.usermgmt.UserAlreadyExistsException` - if the username is already in use
    `com.bea.p13n.security.management.OperationNotSupportedException` - if authentication provider implementation does not support this operation
    `LoginException`

### createUserSimple

    void createUserSimple(String username,
                          String password)
                          throws com.bea.p13n.usermgmt.UserAlreadyExistsException,
                                 com.bea.p13n.usermgmt.InvalidUsernameException,
                                 com.bea.p13n.usermgmt.InvalidPasswordException,
                                 com.bea.p13n.security.management.OperationNotSupportedException

  Create a new user and return an object representing the user's information. Use this API if you don't care to do any post-processing on the user, nor perform any of the tasks described by the control property settings. Those properties will all be ignored and the user created with no further action.

  Parameters
    `username` - The user's login name
    `password` - The user's password
  Throws
    `com.bea.p13n.usermgmt.InvalidPasswordException` - if the password is malformed or otherwise invalid
    `com.bea.p13n.usermgmt.InvalidUsernameException` - if the username is malformed or otherwise invalid
    `com.bea.p13n.usermgmt.UserAlreadyExistsException` - if the username is already in use
    `com.bea.p13n.security.management.OperationNotSupportedException` - if authentication provider implementation does not support this operation

### removeUser

    void removeUser(String username)
                    throws com.bea.p13n.usermgmt.InvalidUsernameException,
                           com.bea.p13n.security.management.OperationNotSupportedException

  Removes a user from the system. This will remove both the realm and profile records for this user. Security constraints should restrict use of this method to administrators only.

  Parameters
    `username` - the username of the user to remove
  Throws
    `com.bea.p13n.usermgmt.InvalidUsernameException` - if the user is protected and cannot be deleted
    `com.bea.p13n.security.management.OperationNotSupportedException` - if authentication provider implementation does not support this operation

### setPassword

    void setPassword(String username,
                     String password)
                     throws com.bea.p13n.usermgmt.InvalidPasswordException,
                            com.bea.p13n.security.management.OperationNotSupportedException

  Sets the password for a user in the realm. Security constraints should restrict use of this method to administrators only.

  Parameters
    `username` - the username of the user
    `password` - the new password for the user
  Throws
    `InvalidPasswordExceptionif` - the password is malformed or otherwise invalid
    `com.bea.p13n.security.management.OperationNotSupportedException` - if authentication provider implementation does not support this operation
    `com.bea.p13n.usermgmt.InvalidPasswordException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved